com.ihr.xbrl.pojo

## Class XBRLRSGeneratorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.pojo.XBRLRSGeneratorException

- All Implemented Interfaces:
    java.io.Serializable

      public class XBRLRSGeneratorException
      extends java.lang.Exception

  The Class XBRLRSGeneratorException.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRSGeneratorException()` Instantiates a new XBRLRS generator exception.
    `XBRLRSGeneratorException(java.lang.String message)` Instantiates a new XBRLRS generator exception.
    `XBRLRSGeneratorException(java.lang.String message, java.lang.Throwable cause)` Instantiates a new XBRLRS generator exception.
    `XBRLRSGeneratorException(java.lang.Throwable cause)` Instantiates a new XBRLRS generator exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRSGeneratorException

          public XBRLRSGeneratorException()

      Instantiates a new XBRLRS generator exception.

    - #### XBRLRSGeneratorException

          public XBRLRSGeneratorException(java.lang.String message)

      Instantiates a new XBRLRS generator exception.
      Parameters:
        `message` - the message

    - #### XBRLRSGeneratorException

          public XBRLRSGeneratorException(java.lang.Throwable cause)

      Instantiates a new XBRLRS generator exception.
      Parameters:
        `cause` - the cause

    - #### XBRLRSGeneratorException

          public XBRLRSGeneratorException(java.lang.String message,
                                  java.lang.Throwable cause)

      Instantiates a new XBRLRS generator exception.
      Parameters:
        `message` - the message
        `cause` - the cause